Uploaded image for project: 'HttpComponents HttpClient'
  1. HttpComponents HttpClient
  2. HTTPCLIENT-1632

HttpClient deprecated in Android API level 22

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Task
    • Status: Closed
    • Minor
    • Resolution: Implemented
    • 4.3.5.1-android
    • 5.0
    • Android Port

    Description

      The entire org.apache.http package classes have now been deprecated by Google in Android API level 22. Is there some recommended procedure to be followed to avoid the compiler warnings? Perhaps it should be noted in the documentation.

      http://developer.android.com/reference/org/apache/http/package-summary.html

      Attachments

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            Unassigned Unassigned
            kathampy Kurian Thampy
            Votes:
            2 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Issue deployment